rte_eth_dev_portconf(3)

NAME
rte_eth_dev_portconf

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint16_t burst_size
uint16_t ring_size
uint16_t nb_queues

Detailed Description

Preferred Rx/Tx port parameters. There are separate instances of this structure for transmission and reception respectively.

Definition at line 1716 of file rte_ethdev.h.

Field Documentation

  uint16_t burst_size
Device-preferred burst size

Definition at line 1717 of file rte_ethdev.h.

  uint16_t ring_size
Device-preferred size of queue rings

Definition at line 1718 of file rte_ethdev.h.

  uint16_t nb_queues
Device-preferred number of queues

Definition at line 1719 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.